tbb::internal::thread_closure_base Struct Reference

`#include <tbb_thread.h>`

Inheritance diagram for tbb::internal::thread_closure_base:
Collaboration diagram for tbb::internal::thread_closure_base:

## Public Member Functions

void * | operator new (size_t size)
void | operator delete (void *ptr)

## Detailed Description

Definition at line 78 of file tbb_thread.h.

## Member Function Documentation

## operator delete()

void tbb::internal::thread_closure_base::operator delete | ( | void * | ptr | ) |

inline

Definition at line 80 of file tbb_thread.h.

{free_closure_v3(ptr);}

References tbb::internal::free_closure_v3().

Here is the call graph for this function:

## operator new()

void* tbb::internal::thread_closure_base::operator new | ( | size_t | size | ) |

inline

Definition at line 79 of file tbb_thread.h.

{return allocate_closure_v3(size);}

References tbb::internal::allocate_closure_v3(), and size.

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- tbb_thread.h

tbb::internal::allocate_closure_v3
void *__TBB_EXPORTED_FUNC allocate_closure_v3(size_t size)
Allocate a closure.
Definition: tbb_thread.cpp:35
tbb::internal::free_closure_v3
void __TBB_EXPORTED_FUNC free_closure_v3(void *)
Free a closure allocated by allocate_closure_v3.
Definition: tbb_thread.cpp:41
size
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t size
Definition: ittnotify_static.h:109

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.